Node (Groovy 3.0.7)

Package groovy.util.slurpersupport

## Class Node

- java.lang.Object
- - groovy.util.slurpersupport.Node

- All Implemented Interfaces:
    `Writable`

      @Deprecated
      public class Node
      extends Object
      implements Writable

  Deprecated.
  Represents a node.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Node​(Node parent, String name, Map attributes, Map attributeNamespaces, String namespaceURI)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChild​(Object child)` | Deprecated. Adds an object as a new child to this Node.
    `protected void` | `appendNode​(Object newValue, GPathResult result)` | Deprecated.
    `Map` | `attributes()` | Deprecated. Returns a map of the attributes of this Node.
    `void` | `build​(GroovyObject builder, Map namespaceMap, Map<String,​String> namespaceTagHints)` | Deprecated.
    `Iterator` | `childNodes()` | Deprecated. Returns an iterator over the child nodes of this Node.
    `List` | `children()` | Deprecated. Returns a list of the children of this Node.
    `List<String>` | `localText()` | Deprecated. Returns the list of any direct String nodes of this node.
    `String` | `name()` | Deprecated. Returns the name of this Node.
    `String` | `namespaceURI()` | Deprecated. Returns the URI of the namespace of this Node.
    `Node` | `parent()` | Deprecated. Returns the parent of this Node.
    `protected void` | `replaceBody​(Object newValue)` | Deprecated. Replaces the current body of this Node with the passed object.
    `void` | `replaceNode​(Closure replacementClosure, GPathResult result)` | Deprecated.
    `String` | `text()` | Deprecated. Returns a string containing the text of the children of this Node.
    `Writer` | `writeTo​(Writer out)` | Deprecated. Writes this object to the given writer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Node

          public Node​(Node parent,
                      String name,
                      Map attributes,
                      Map attributeNamespaces,
                      String namespaceURI)

      Deprecated.
      Parameters:
        `parent` - the parent node
        `name` - the name for the node
        `attributes` - the attributes for the node
        `attributeNamespaces` - the namespace mappings for attributes
        `namespaceURI` - the namespace URI if any

  - ### Method Detail

    - #### name

          public String name()

      Deprecated.
      Returns the name of this Node.
      Returns:
        the name of this Node

    - #### parent

          public Node parent()

      Deprecated.
      Returns the parent of this Node.
      Returns:
        the parent of this Node

    - #### namespaceURI

          public String namespaceURI()

      Deprecated.
      Returns the URI of the namespace of this Node.
      Returns:
        the namespace of this Node

    - #### attributes

          public Map attributes()

      Deprecated.
      Returns a map of the attributes of this Node.
      Returns:
        a map of the attributes of this Node

    - #### children

          public List children()

      Deprecated.
      Returns a list of the children of this Node.
      Returns:
        a list of the children of this Node

    - #### addChild

          public void addChild​(Object child)

      Deprecated.
      Adds an object as a new child to this Node.
      Parameters:
        `child` - the object to add as a child

    - #### replaceNode

          public void replaceNode​(Closure replacementClosure,
                                  GPathResult result)

      Deprecated.

    - #### replaceBody

          protected void replaceBody​(Object newValue)

      Deprecated.
      Replaces the current body of this Node with the passed object.
      Parameters:
        `newValue` - the new body

    - #### appendNode

          protected void appendNode​(Object newValue,
                                    GPathResult result)

      Deprecated.

    - #### text

          public String text()

      Deprecated.
      Returns a string containing the text of the children of this Node.
      Returns:
        a string containing the text of the children of this Node

    - #### localText

          public List<String> localText()

      Deprecated.
      Returns the list of any direct String nodes of this node.
      Returns:
        the list of String values from this node
      Since:
        2.3.0

    - #### childNodes

          public Iterator childNodes()

      Deprecated.
      Returns an iterator over the child nodes of this Node.
      Returns:
        an iterator over the child nodes of this Node

    - #### writeTo

          public Writer writeTo​(Writer out)
                         throws IOException

      Deprecated.
      Description copied from interface: `Writable`
      Writes this object to the given writer.

      This is used to defer content creation until the point when it is streamed to the output destination. Oftentimes, content will be defined but not necessarily created (as is may be the case with a Closure definition.) In that case, the output is then 'deferred' to the point when it is serialized to the writer. This class may be used whenever an object should be responsible for creating its own textual representation, but creating the entire output as a single String would be inefficient (such as outputting a multi-gigabyte XML document.)

      Specified by:
        `writeTo` in interface `Writable`
      Parameters:
        `out` - the Writer to which this Writable should output its data.
      Returns:
        the Writer that was passed
      Throws:
        `IOException` - if an error occurred while outputting data to the writer

    - #### build

          public void build​(GroovyObject builder,
                            Map namespaceMap,
                            Map<String,​String> namespaceTagHints)

      Deprecated.